Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 117)
+++ palm/trunk/SCRIPTS/mrun	(revision 118)
@@ -130,4 +130,6 @@
      # 28/08/07 - Marcus - completely remove workaround on lcfimm to propagate
      #                     environment variables out to the nodes in coupled mode
+     # 15/10/07 - Siggi  - Preliminary adjustments for lctit, based on Jin's
+     #                     suggestions
 
  
@@ -200,5 +202,5 @@
  read_from_config=""
  restart_run=false
-# return_addres=$(nslookup `hostname` 2>&1 | grep "Address:" | tail -1 | awk '{print $2}')
+ return_addres=$(nslookup `hostname` 2>&1 | grep "Address:" | tail -1 | awk '{print $2}')
  if [[ $return_addres = 130.75.105.158 ]]
  then
@@ -1014,9 +1016,12 @@
        then
           node_usage=shared
+       elif [[ $host = lctit ]]
+       then
+          node_usage=sla3
        else
           node_usage=not_shared
        fi
     fi
-    if [[ $node_usage != shared  &&  $node_usage != not_shared ]]
+    if [[ $node_usage != shared  &&  $node_usage != not_shared  &&  $node_usage != sla3 ]]
     then
        printf "\n"
@@ -1077,5 +1082,5 @@
                      fi;;
         (ibmy)       queue=parallel;;
-        (lctit)      queue=default;;
+        (lctit)      queue=;;
         (nech)       queue=none;;
         (neck)       queue=P;;
@@ -2207,4 +2212,5 @@
           rm -rf  $TEMPDIR_COMPILE
        else
+          [[ $localhost = lctit ]]  &&  export LM_LICENSE_FILE=27050@tggls
           make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
        fi
@@ -2786,5 +2792,6 @@
                 mpirun  -np $numprocs  a.out  $ROPTS
              else
-                n1ge  -fore  -g 1S060156  -mpi $numprocs  -mem 4  -N palm  -q $queue  a.out  $ROPTS
+#                n1ge  -fore  -g 1S060156  -mpi $numprocs  -mem 4  -N palm  -q $queue  a.out  $ROPTS
+               /n1ge/TITECH_GRID/tools/bin/n1ge -fore -g 4S070143 -mpi $numprocs -smp 16 -mem 1.75 -N palm -rt 21600 -q $queue  a.out  $ROPTS
              fi
 
@@ -3572,5 +3579,5 @@
     [[ $return_password != "" ]]  &&  mrun_com=${mrun_com}" -P $return_password"
     [[ $delete_temporary_catalog = false ]]  &&  mrun_com=${mrun_com}" -B"
-    [[ $node_usage != default ]]  &&  mrun_com=${mrun_com}" -n $node_usage"
+    [[ $node_usage != default  &&  $node_usage != sla3 ]]  &&  mrun_com=${mrun_com}" -n $node_usage"
     [[ $run_coupled_model = true ]]  &&  mrun_com=${mrun_com}" -Y"
     if [[ $do_remote = true ]]
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 117)
+++ palm/trunk/SCRIPTS/subjob	(revision 118)
@@ -85,4 +85,6 @@
      # 03/08/07 - Marcus- lcfimm admitted
      # 08/10/07 - Siggi - further job classes added for hanni (csoloh...)
+     # 15/10/07 - Siggi - preliminary adjustments for lctit based on Jin's
+     #                    suggestions
 
 
@@ -296,5 +298,5 @@
         (ibmy)   queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
 	(lcfimm) remote_addres=172.20.4.2; submcom=/opt/torque/bin/qsub;;
-        (lctit)  queue=default; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
+        (lctit)  queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
         (nech)   qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
         (neck)   qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=133.5.178.11; submcom="/usr/bin/nqsII/qsub";;
@@ -744,5 +746,6 @@
 
        # OPTIONEN FUER SUBMIT-KOMMANDO ZUSAMMENSTELLEN
-    submcom="$submcom  -N $job_name  -sgeout $remote_dayfile  -q default"
+  #  submcom="$submcom  -N $job_name  -sgeout $remote_dayfile  -q default"
+    submcom="$submcom -g 4SO7O143 -N $job_name -rt 4320 -sgeout $remote_dayfile  -q sla3"
 
  else
@@ -782,5 +785,5 @@
        elif [[ $remote_host = lctit ]]
        then
-          return_queue=default
+          return_queue=sla3
        elif [[ $remote_host = neck ]]
        then