Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 116)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 127)
@@ -12,5 +12,4 @@
   
   <title>PALM chapter 4.2</title></head>
-
 <body>
 
@@ -2344,5 +2343,5 @@
       
       <p>Profiles can also be temporally
-averaged (see <a href="chapter_4.2.html#averaging_interval_pr">averaging_interval_pr</a>).&nbsp;<br>
+averaged (see <a href="chapter_4.2.html#averaging_interval_pr">averaging_interval_pr</a>).<br>
 
 
@@ -2367,5 +2366,5 @@
 level is z = zu(1) instead of z = zw(0) for profiles <i>w''
 u'',w''v"</i>, <i>wu</i> and <i>wv</i>
-.&nbsp; <br>
+. Turbulence quantities such as&nbsp;<span style="font-style: italic;">w*u* &nbsp;</span>or <span style="font-style: italic;">u*2</span> are calculated from turbulent fluctuations that are defined as deviations from the instantaneous horizontal average.
 
 
@@ -2805,5 +2804,5 @@
 
 
- <td style="vertical-align: top;"><font color="#33ff33"><i>w*pt*</i></font></td>
+ <td style="vertical-align: top;"><font color="#33ff33"><i>w*vpt*</i></font></td>
 
 
@@ -3050,6 +3049,6 @@
 
 
-            <td style="vertical-align: top;">Variance of the potential
-temperature (resolved)</td>
+            <td style="vertical-align: top;">Variance of the w-velocity
+component (resolved)</td>
 
 
@@ -5671,6 +5670,8 @@
 
 
-      <td style="vertical-align: top;">NetCDF files will have 64
-bit offset format.<br>
+      <td style="vertical-align: top;">All NetCDF files - except those containing 3d
+volume data - will have 64
+bit offset format if&nbsp;<span style="font-weight: bold;">netcdf_64bit</span>
+= .TRUE..<br>
 
 
@@ -5680,5 +5681,5 @@
 By
 default, the maximum file size of the NetCDF files opened by PALM is 2
-GByte. Using netcdf_64bit = .TRUE. allows file sizes larger than 2
+GByte. Using <span style="font-weight: bold;">netcdf_64bit</span> = .TRUE. allows file sizes larger than 2
 GByte.<br>
 
@@ -5687,8 +5688,7 @@
 
 
-The 64 bit offset format can be separately
-switched off for those NetCDF files containing 3d volume date (<span style="font-family: Courier New,Courier,monospace;">DATA_3D_NETCDF</span>,
+The 64 bit offset format for those NetCDF files containing 3d volume data (<span style="font-family: Courier New,Courier,monospace;">DATA_3D_NETCDF</span>,
       <span style="font-family: Courier New,Courier,monospace;">DATA_3D_AV_NETCDF</span>)
-using <a href="#netcdf_64bit_3d">netcdf_64bit_3d</a>.<br>
+is controlled independently by the switch <a href="#netcdf_64bit_3d">netcdf_64bit_3d</a>.<br>
 
 
@@ -5723,15 +5723,22 @@
 
       <td style="vertical-align: top;">NetCDF files containing 3d
-volume data will have 64 bit offset format.<br>
-
-
-      <br>
-
-
-This
-switch&nbsp;only comes into effect if <a href="#netcdf_64bit">netcdf_64bit</a>
-= .TRUE.. It allows to switch off separately the 64 bit offset format
-for those NetCDF files containing 3d volume data (<span style="font-family: Courier New,Courier,monospace;">DATA_3D_NETCDF</span>,
-      <span style="font-family: Courier New,Courier,monospace;">DATA_3D_AV_NETCDF</span>).</td>
+volume data will have 64 bit offset format if&nbsp;<span style="font-weight: bold;">netcdf_64bit_3d</span>
+= .TRUE..<br><br>
+
+
+By
+default, the maximum file size of the NetCDF files opened by PALM is 2
+GByte. Using <span style="font-weight: bold;">netcdf_64bit_3d</span> = .TRUE. allows file sizes larger than 2
+GByte.<br><br>
+
+
+The 64 bit offset format for all other NetCDF files (<span style="font-style: italic;">not</span> containing 3d volume data) is controlled independently by the switch <a href="chapter_4.2.html#netcdf_64bit">netcdf_64bit</a>.<br><br>
+
+
+      <span style="font-weight: bold;">Warning:</span><br>
+
+
+Some
+(PD or commercial) software may not support the 64 bit offset format.</td>
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 116)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 127)
@@ -50,5 +50,4 @@
 -->
   </style></head>
-
 <body style="direction: ltr;" lang="en-US">
 
@@ -5745,6 +5744,6 @@
 
 
- <td>NetCDF
-files will have 64 bit offset format.</td>
+ <td>All NetCDF files - except those containing 3d
+volume data - will have 64 bit offset format.</td>
 
 
Index: palm/trunk/DOC/misc/Tsubame.html
===================================================================
--- palm/trunk/DOC/misc/Tsubame.html	(revision 127)
+++ palm/trunk/DOC/misc/Tsubame.html	(revision 127)
@@ -0,0 +1,56 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html><head>
+<xsscleaned_taghttp-equiv ="content-type" content="text/html; charset=windows-1252"></xsscleaned_taghttp-equiv><title>Tsubame</title><style>
+<!--
+@page { size: 21cm 29.7cm }
+-->
+</style></head>
+<body style="direction: ltr;" lang="en-US"> <xsscleaned_tagname ="generator" content="StarOffice 7 (Win32)"></xsscleaned_tagname>
+<xsscleaned_tagname ="author" content="Siegfried Raasch"></xsscleaned_tagname>
+<xsscleaned_tagname ="created" content="20040809;13460943"></xsscleaned_tagname>
+<xsscleaned_tagname ="changed" content="20041112;15085727"></xsscleaned_tagname>
+<xsscleaned_tagname ="keywords" content="parallel LES model"></xsscleaned_tagname>
+<h3 style="line-height: 100%;">Tsubame</h3>
+<p style="line-height: 100%;">This document contains local
+support information for PALM users on the Linux Cluster <span style="font-weight: bold;">Tsubame</span> of the Tokyo
+Institute of Technology, Tokyo, Japan (<a href="http://www.gsic.titech.ac.jp/%7Eccwww">http://www.gsic.titech.ac.jp/~ccwww</a>).
+Japanese and English user manuals are available for download (<a href="http://www.gsic.titech.ac.jp/%7Eccwww/tebiki">http://www.gsic.titech.ac.jp/~ccwww/tebiki</a>).</p><h4>Subversion</h4><p><span style="text-decoration: underline;">Installation:</span><br>Please
+install a recent version of subversion or simply copy&nbsp;<code><span style="font-family: Courier New,Courier,monospace;">svn-tyamanas.tgz</span></code>
+(subversion 1.4.3) from&nbsp;<code><span style="font-family: Courier New,Courier,monospace;">/work</span></code>
+on Tsubame (login). By using following commands subversion will be
+installed under your home directory.</p><code><span style="font-family: Courier New,Courier,monospace;">cd ~<br>cp /work/</span><span style="font-family: Courier New,Courier,monospace;">svn-tyamanas.tgz
+~</span><br></code><span style="font-family: Courier New,Courier,monospace;"><code>tar
+xvzf&nbsp;svn-tyamanas.tgz</code><br></span><p><span style="font-family: Courier New,Courier,monospace;"></span>The
+following lines should be added to <code><span style="font-family: Courier New,Courier,monospace;">.profile</span></code>
+(and should be executed manually on first-time installation):<span style="font-family: Courier New,Courier,monospace;"></span></p><span style="font-family: Courier New,Courier,monospace;"><code>export
+LD_LIBRARY_PATH=$HOME/svn/lib</code></span><code><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">
+export PATH=$HOME/svn/bin:$PATH</span></code><span style="text-decoration: underline;"><br></span><p><span style="text-decoration: underline;">Usage:</span><br>Since
+Tsubame is located behind a firewall, the usual&nbsp;address  <a class="fixed" href="svn://130.75.105.45" target="_blank">svn://130.75.105.45</a>&nbsp;is unreachable from Tsubame. Instead, please login to media-o
+and use&nbsp;<a class="fixed" href="svn://p9c.cc.titech.ac.jp:36900" target="_blank">svn://p9c.cc.titech.ac.jp:36900</a>.
+This port works in both directions, i.e. for <code>svn update</code> as well as <code>svn commit</code> commands.</p><h4>Batch system<br></h4><p>The implementation of the <span style="font-weight: bold;">n1ge</span> command on
+Tsubame requires modifications to&nbsp;<span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">subjob</span> for PALM to
+run on Tsubame. Since <span style="font-weight: bold;">mrun</span>
+must be executed on one PE only, a one-PE "submitting job" is created
+when the user calls <span style="font-weight: bold;">mrun</span>.
+At the time when this "submitting job" is actually executed, it starts
+the main PALM job in the foreground. However, this only works if
+enough resources are available at that time. Therefore PALM users on
+Tsubame are advised to consider the queue load of the available queues
+for the main job (<code>qstat -g c</code>) before job submission.</p><p>According
+to the current queue configuration (<a href="http://www.gsic.titech.ac.jp/%7Eccwww/tgc/q_e.html">http://www.gsic.titech.ac.jp/~ccwww/tgc/q_e.html</a>),
+the following <span style="font-weight: bold;">mrun</span>
+options are available:</p><table style="text-align: left; width: 100%;" border="1" cellpadding="2" cellspacing="2"><tbody><tr><td><span style="font-weight: bold;">mrun</span> option</td><td>explanation</td><td>possible
+values</td><td>default value</td></tr><tr><td><code>-q</code></td><td>queue
+name for main job</td><td>novice, bes1, bes2, sla1, sla2,
+sla3, RAM64GB, RAM128GB</td><td>novice</td></tr><tr><td><code>-n</code></td><td>queue
+name for "submitting job" (always runs on 1 PE only)</td><td>novice,
+sla1, sla2, sla3</td><td>novice</td></tr><tr><td><code>-g</code></td><td>group number</td><td>name of the N1GE_GROUP that is required to utilize the bes or sla queues</td><td>none</td></tr></tbody></table><p>Note that the default value "novice" of the
+<span style="font-weight: bold;">mrun</span> option <code>-q</code> may
+only be suitable for code development, debugging or short test runs.
+Production runs should use the respective production queues(see&nbsp; <a href="http://www.gsic.titech.ac.jp/%7Eccwww/tgc/q_e.html">http://www.gsic.titech.ac.jp/~ccwww/tgc/q_e.html</a> for details).</p><p>The <span style="font-weight: bold;">mrun</span> option <code><span style="font-family: Courier New,Courier,monospace;">-t</span></code>
+contains the CPU time demand for the main job in s which will be
+automatically converted into min for the <span style="font-weight: bold;">n1ge</span> command. The
+option <code><span style="font-family: Courier New,Courier,monospace;">-m</span></code>
+contains the memory demand for the main job in MB which will be
+automatically converted into GB for the <span style="font-weight: bold;">n1ge</span> command.</p><br><i>Last
+change:</i>&nbsp; $Id$</body></html>