Index: palm/trunk/DOC/app/chapter_3.5.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.5.1.html	(revision 129)
+++ palm/trunk/DOC/app/chapter_3.5.1.html	(revision 130)
@@ -296,5 +296,12 @@
 <span style="font-style: italic;">'sum'</span>, or <span style="font-style: italic;">'average'</span>.<br><br>See
 <a href="chapter_3.5.4.html">chapter 3.5.4</a> about
-creating user-defined output quantities. </td></tr><tr valign="top"> <td width="211"> <p>End
+creating user-defined output quantities. </td></tr><tr><td style="vertical-align: top;"><tt><font style="font-size: 10pt;" size="2">DEFAULT</font></tt>
+case of <tt><font style="font-size: 10pt;" size="2">SELECT
+CASE(&nbsp;</font></tt><font style="font-size: 10pt; font-family: Courier New,Courier,monospace;" size="2"><code></code></font><tt><font style="font-size: 10pt;" size="2"><code>output_variable</code> ) </font></tt>command near the end of <code>data_output_dvrp.f90</code></td><td style="vertical-align: top;"><code><a name="user_data_output_dvrp"></a>user_data_<br>output_dvrp(<br>output_variable, local_pf )</code></td><td style="vertical-align: top;">Resorts&nbsp;user-defined&nbsp;quantities
+(to be output as dvrp objects;&nbsp;see <a href="chapter_4.3.html#data_output_user">data_output_user</a> and <a href="chapter_4.2.html#mode_dvrp">mode_dvrp</a>)
+with indices (k,j,i) to a temporary array <span style="font-family: monospace;">local_pf</span> with
+indices (i,j,k). The array  <span style="font-family: monospace;">local_pf</span> is then handed back to the calling subroutine&nbsp;<code>data_output_dvrp.f90</code>.<br><br>See
+<a href="chapter_3.5.4.html">chapter 3.5.4</a> about
+creating user-defined output quantities.</td></tr><tr valign="top"> <td width="211"> <p>End
 of <tt><font style="font-size: 10pt;" size="2">palm.f90</font></tt></p>
 </td> <td width="117"> <p><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace"><a name="user_last_action"></a>user_last_</font></font></tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace"> <br> </font></font><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace">action</font></font></tt></p>
Index: palm/trunk/DOC/app/chapter_3.5.4.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.5.4.html	(revision 129)
+++ palm/trunk/DOC/app/chapter_3.5.4.html	(revision 130)
@@ -13,10 +13,10 @@
 quantities which are not part of PALM's standard output. The basic user
 interface includes a number of subroutines which allow the calculation
-of user-defined quantities and output of these quantities as (horizontally averaged) <a href="#vertical_profiles">vertical profiles</a>, <a href="#time_series">time series</a>, <a href="#2D_and_3D">2d cross
-section</a> or <a href="#2D_and_3D">3d volume data</a>. The respective subroutines
+of user-defined quantities and output of these quantities as 1. (horizontally averaged) <a href="#vertical_profiles">vertical profiles</a>, 2.&nbsp;<a href="#time_series">time series</a>, 3. <a href="#2D_and_3D">2d cross
+section</a> or <a href="#2D_and_3D">3d volume data</a> and 4. <a href="#dvrp">dvrp</a> objects. The respective subroutines
 contain sample code lines (written as comment lines) for defining, calculating and
 output of such quantities.<br><br>Output times, averaging intervals, etc. are steered by the same variables as used for the standard PALM output quantities, e.g. <a href="chapter_4.2.html#dt_data_output">dt_data_output</a>.<br><br>The
 rest of this chapter explains step-by-step how to modify/extend the
-default file user_interface.f90 in order to generate the respective output.<br><br><br><h4><a name="vertical_profiles"></a>Output of vertical profiles</h4>This example shows the output of the
+default file user_interface.f90 in order to generate the respective output.<br><br><br><h4><a name="vertical_profiles"></a>1. Output of vertical profiles</h4>This example shows the output of the
 quantity "turbulent resolved-scale horizontal momentum flux" (u*v*). If more than one user-defined
 quantity shall be output, the following steps have to be carried out in the
@@ -49,7 +49,7 @@
 calculation is stored in array <span style="font-family: Courier New,Courier,monospace;">sums_l</span>.
 The second index of this array is the identification number of the
-profile which must match the one given in the previous step 2.</li></ol><br><h4><a name="time_series"></a>Output of timeseries</h4>This example shows the output of  two time series for the absolut extremal values of the horizontal velocities <span style="font-style: italic;">u</span> and <span style="font-style: italic;">v</span>. If more than one user-defined
-quantity shall be output, the following steps have to be carried out in the
-same way for each of the quantities.<br><br><ol><li>For each time series quantity you have to give a label and a unit  (subroutine <a href="chapter_3.5.1.html#user_init">user_init</a>), which will be used for the NetCDF file. They must not contain more than seven characters. The value of <code>dots_num</code> has to be increased by the number of new time series quantities. Its old value has to be stored in <code>dots_num_palm</code>.<br><br><code>&nbsp;&nbsp;&nbsp; dots_label(dots_num<span style="color: rgb(255, 0, 0);">+1</span>) = '<span style="color: rgb(255, 0, 0);">abs_umx</span>'<br>&nbsp;&nbsp;&nbsp; dots_unit(dots_num<span style="color: rgb(255, 0, 0);">+1</span>)&nbsp; = '<span style="color: rgb(255, 0, 0);">m/s</span>'<br>&nbsp;&nbsp;&nbsp; dots_label(dots_num<span style="color: rgb(255, 0, 0);">+2</span>) = '<span style="color: rgb(255, 0, 0);">abs_vmx</span>'<br>&nbsp;&nbsp;&nbsp; dots_unit(dots_num<span style="color: rgb(255, 0, 0);">+2</span>)&nbsp; = '<span style="color: rgb(255, 0, 0);">m/s</span>'<br><br>&nbsp;&nbsp;&nbsp; dots_num_palm = dots_num<br>&nbsp;&nbsp;&nbsp; dots_num = dots_num <span style="color: rgb(255, 0, 0);">+ 2</span><br><br></code>Only those parts in <span style="color: rgb(255, 0, 0);">red</span> have to be adjusted by the user.<br><br></li><li>These quantities are&nbsp;calculated and output in subroutine <a href="chapter_3.5.1.html#user_statistics">user_statistics</a> for every statistic region <code>sr</code> defined by the user,&nbsp;but at least for the region <span style="font-style: italic;">"total domain"</span>:<br>&nbsp;<br><code>&nbsp;&nbsp;&nbsp; ts_value(dots_num_palm+1,sr) = ABS( u_max )<br>&nbsp;&nbsp;&nbsp; ts_value(dots_num_palm+2,sr) = ABS( v_max )<br></code>&nbsp;<br></li></ol><h4><span style="font-weight: bold;"><a name="2D_and_3D"></a>Output of 2d cross sections or 3d volume data</span></h4><br>This example shows the output of the
+profile which must match the one given in the previous step 2.</li></ol><br><h4><a name="time_series"></a>2. Output of timeseries</h4>This example shows the output of  two time series for the absolut extremal values of the horizontal velocities <span style="font-style: italic;">u</span> and <span style="font-style: italic;">v</span>. If more than one user-defined
+quantity shall be output, the following steps have to be carried out in the
+same way for each of the quantities.<br><br><ol><li>For each time series quantity you have to give a label and a unit  (subroutine <a href="chapter_3.5.1.html#user_init">user_init</a>), which will be used for the NetCDF file. They must not contain more than seven characters. The value of <code>dots_num</code> has to be increased by the number of new time series quantities. Its old value has to be stored in <code>dots_num_palm</code>.<br><br><code>&nbsp;&nbsp;&nbsp; dots_label(dots_num<span style="color: rgb(255, 0, 0);">+1</span>) = '<span style="color: rgb(255, 0, 0);">abs_umx</span>'<br>&nbsp;&nbsp;&nbsp; dots_unit(dots_num<span style="color: rgb(255, 0, 0);">+1</span>)&nbsp; = '<span style="color: rgb(255, 0, 0);">m/s</span>'<br>&nbsp;&nbsp;&nbsp; dots_label(dots_num<span style="color: rgb(255, 0, 0);">+2</span>) = '<span style="color: rgb(255, 0, 0);">abs_vmx</span>'<br>&nbsp;&nbsp;&nbsp; dots_unit(dots_num<span style="color: rgb(255, 0, 0);">+2</span>)&nbsp; = '<span style="color: rgb(255, 0, 0);">m/s</span>'<br><br>&nbsp;&nbsp;&nbsp; dots_num_palm = dots_num<br>&nbsp;&nbsp;&nbsp; dots_num = dots_num <span style="color: rgb(255, 0, 0);">+ 2</span><br><br></code>Only those parts in <span style="color: rgb(255, 0, 0);">red</span> have to be adjusted by the user.<br><br></li><li>These quantities are&nbsp;calculated and output in subroutine <a href="chapter_3.5.1.html#user_statistics">user_statistics</a> for every statistic region <code>sr</code> defined by the user,&nbsp;but at least for the region <span style="font-style: italic;">"total domain"</span>:<br>&nbsp;<br><code>&nbsp;&nbsp;&nbsp; ts_value(dots_num_palm+1,sr) = ABS( u_max )<br>&nbsp;&nbsp;&nbsp; ts_value(dots_num_palm+2,sr) = ABS( v_max )<br></code></li></ol>&nbsp;<br><h4><span style="font-weight: bold;"><a name="2D_and_3D"></a>3. Output of 2d cross sections or 3d volume data</span></h4><br>This example shows the output of the
 quantity "square of the u-component" (<span style="font-weight: bold;">Note:</span> this quantity
 could of course easily be calculated from the u-component by
@@ -223,5 +223,11 @@
 ';&nbsp; WRITE ( 14 )&nbsp; u2_av</span><br style="font-family: monospace;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
 ENDIF</span><br><br>Otherwise, the calculated
-time-average may be wrong. &nbsp;</li></ol><hr>
+time-average may be wrong.</li></ol><br><h4><a name="dvrp"></a>4. Output of DVRP objects</h4>This example shows the output of the
+quantity "square of the u-component", <span style="font-style: italic;">u<sup>2</sup></span>. If more than one user-defined
+quantity shall be output, the following steps have to be carried out in the
+same way for each of the quantities. First,&nbsp;steps 1 - 6 of <a href="chapter_3.5.4.html#2D_and_3D">2d cross
+section</a> or <a href="chapter_3.5.4.html#2D_and_3D">3d volume data</a> are required. Second,&nbsp;the gridpoint data of the quantity has to
+be resorted to array <span style="font-family: monospace;">local_pf</span>
+in subroutine <a href="chapter_3.5.1.html#user_data_output_dvrp"><span style="font-family: monospace;">user_data_output_dvrp</span></a> as follows:<br><br><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CASE ( '<span style="color: rgb(255, 0, 0);">u2</span>', '<span style="color: rgb(255, 0, 0);">u2</span>_xy', '<span style="color: rgb(255, 0, 0);">u2</span>_xz', '<span style="color: rgb(255, 0, 0);">u2</span>_yz',&nbsp; )<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; DO&nbsp; i = nxl, nxr+1<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; DO&nbsp; j = nys, nyn+1<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; DO&nbsp; k = nzb, nz_do3d<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; local_pf(i,j,k) = <span style="color: rgb(255, 0, 0);">u2</span>(k,j,i)<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ENDDO<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ENDDO<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ENDDO</code><br><br>Only those parts in <span style="color: rgb(255, 0, 0);">red</span> have to be adjusted by the user.<br><br>After performing these steps, the user-defined quantity <code>'u2'</code> can be selected like standard model quantities by the <a href="chapter_4.2.html#dvrp_graphics">dvrp_graphics</a> package parameter <a href="chapter_4.2.html#mode_dvrp">mode_dvrp</a>.<hr>
 <p style="line-height: 100%;"><br><font color="#000080"><font color="#000080"><a href="chapter_3.5.3.html"><font color="#000080"><img src="left.gif" name="Grafik1" align="bottom" border="2" height="32" width="32"></font></a><a href="index.html"><font color="#000080"><img src="up.gif" name="Grafik2" align="bottom" border="2" height="32" width="32"></font></a><a href="chapter_3.5.5.html"><font color="#000080"><img style="border: 2px solid ; width: 32px; height: 32px;" alt="" src="right.gif" name="Grafik3"></font></a></font></font></p>
 <p style="line-height: 100%;"><i>Last
Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 129)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 130)
@@ -10678,9 +10678,9 @@
       <p>Several different objects can
 be assigned simultaneously and
-will be displayed in the same scene. Allowed values for <span style="font-weight: bold;">mode_dvrp</span> are <span style="font-style: italic;">'isosurface#'</span>
-(isosurface), <span style="font-style: italic;">'slicer#'</span>
+will be displayed in the same scene. Allowed values for <span style="font-weight: bold;">mode_dvrp</span> are <span style="font-style: italic;">'isosurface##'</span>
+(isosurface), <span style="font-style: italic;">'slicer##'</span>
 (cross sections), and <span style="font-style: italic;">'particles'</span>.
-Within the strings the hash character ("#") has to be replaced by a
-digit 1&le;#&le;9. Up to 10 objects
+Within the strings the hash characters ("##") have to be replaced by two
+digits 01&le;##&le;99. Up to 10 objects
 can be assigned at the same time, e.g.:&nbsp; </p>
 
@@ -10690,7 +10690,7 @@
       
       <blockquote><b>mode_dvrp</b>
-= <span style="font-style: italic;">'isosurface2'</span><i>,
-'slicer1',
-'particles', 'slicer2'</i></blockquote>
+= <span style="font-style: italic;">'isosurface02'</span><i>,
+'slicer01',
+'particles', 'slicer02'</i></blockquote>
 
 
@@ -10706,9 +10706,9 @@
 orientation of the cross section, thus xy, xz, or yz). Since for <span style="font-weight: bold;">data_output</span> <span style="font-weight: bold;"></span>lists of
 variables may be
-assigned, the digit at the end of the <span style="font-weight: bold;">mode_dvrp</span>-string
-selects the quantity, which is given
-at the respective position in the respective list (e.g. <span style="font-style: italic;">'isosurface2'</span>
+assigned, the digits at the end of the <span style="font-weight: bold;">mode_dvrp</span>-string
+select the quantity, which is given
+at the respective position in the respective list (e.g. <span style="font-style: italic;">'isosurface02'</span>
 selects the second 3D quantity
-of <span style="font-weight: bold;">data_output</span>,  <span style="font-style: italic;">'slicer1'</span> selects the first 2D quantity
+of <span style="font-weight: bold;">data_output</span>,  <span style="font-style: italic;">'slicer01'</span> selects the first 2D quantity
 of <span style="font-weight: bold;">data_output</span>).
 If e.g. <span style="font-weight: bold;">data_output</span> is assigned as <b>data_output</b> = <span style="font-style: italic;">'u_xy'</span><i>,
@@ -10731,5 +10731,6 @@
       
       <p>The vertical extension of the displayed domain is
-given by <a href="#nz_do3d">nz_do3d</a>.<br>
+given by <a href="#nz_do3d">nz_do3d</a>.</p><p>If user-defined dvrp objects exist (see <a href="chapter_3.5.4.html">chapter 3.5.4</a>), then&nbsp;<span style="font-weight: bold;">mode_dvrp</span> may also refer to quantities selected with the parameter&nbsp;<a href="chapter_4.3.html#data_output_user">data_output_user</a> (internally PALM appends them to those selected&nbsp;with
+the parameter <a href="chapter_4.2.html#data_output">data_output</a>).
 
 
@@ -10737,8 +10738,8 @@
 of mode_dvrp must correspond to those of data_output
 and
-data_output! </b>If e.g. <b>data_output</b> = <span style="font-style: italic;">'pt_xy'</span>,<span style="font-style: italic;"> 'w'</span><i> </i>was set, then only the digit "1" is allowed
+data_output_user! </b>If e.g. <b>data_output</b> = <span style="font-style: italic;">'pt_xy'</span>,<span style="font-style: italic;"> 'w'</span><i> </i>was set, then only the digits "01" are allowed
 for <b>mode_dvrp</b>,
-thus <span style="font-style: italic;">'isosurface1'</span>
-and/or <span style="font-style: italic;">'slicer1'</span><i>.</i>
+thus <span style="font-style: italic;">'isosurface01'</span>
+and/or <span style="font-style: italic;">'slicer01'</span><i>.</i>
       </p>
 
@@ -10760,5 +10761,5 @@
 
 The declaration color charts to be
-used still have to be given "manually" in subroutine <span style="font-family: monospace;">user_dvrp_coltab</span>
+used still have to be given "manually" in subroutine <a href="chapter_3.4.html#user_dvrp_coltab"><span style="font-family: monospace;">user_dvrp_coltab</span></a>
 (file <tt><font style="font-size: 11pt;" size="2">user_interface.f90</font></tt>).&nbsp;
       <br>
@@ -10769,5 +10770,5 @@
 to the local characteristics of the flow field) to be used for the
 visualization, must be carried out by adding respective code extensions
-to <tt><font style="font-size: 11pt;" size="2">user_particle_attributes</font></tt>
+to <a href="chapter_3.4.html#user_particle_attributes"><tt><font style="font-size: 11pt;" size="2">user_particle_attributes</font></tt></a>
 (in file <tt><font style="font-size: 11pt;" size="2">user_interface.f90</font></tt>).&nbsp;</td>
 
Index: palm/trunk/DOC/misc/Tsubame.html
===================================================================
--- palm/trunk/DOC/misc/Tsubame.html	(revision 129)
+++ palm/trunk/DOC/misc/Tsubame.html	(revision 130)
@@ -15,18 +15,11 @@
 support information for PALM users on the Linux Cluster <span style="font-weight: bold;">Tsubame</span> of the Tokyo
 Institute of Technology, Tokyo, Japan (<a href="http://www.gsic.titech.ac.jp/%7Eccwww">http://www.gsic.titech.ac.jp/~ccwww</a>).
-Japanese and English user manuals are available for download (<a href="http://www.gsic.titech.ac.jp/%7Eccwww/tebiki">http://www.gsic.titech.ac.jp/~ccwww/tebiki</a>).</p><h4>Subversion</h4><p><span style="text-decoration: underline;">Installation:</span><br>Please
-install a recent version of subversion or simply copy&nbsp;<code><span style="font-family: Courier New,Courier,monospace;">svn-tyamanas.tgz</span></code>
-(subversion 1.4.3) from&nbsp;<code><span style="font-family: Courier New,Courier,monospace;">/work</span></code>
-on Tsubame (login). By using following commands subversion will be
-installed under your home directory.</p><code><span style="font-family: Courier New,Courier,monospace;">cd ~<br>cp /work/</span><span style="font-family: Courier New,Courier,monospace;">svn-tyamanas.tgz
-~</span><br></code><span style="font-family: Courier New,Courier,monospace;"><code>tar
-xvzf&nbsp;svn-tyamanas.tgz</code><br></span><p><span style="font-family: Courier New,Courier,monospace;"></span>The
-following lines should be added to <code><span style="font-family: Courier New,Courier,monospace;">.profile</span></code>
-(and should be executed manually on first-time installation):<span style="font-family: Courier New,Courier,monospace;"></span></p><span style="font-family: Courier New,Courier,monospace;"><code>export
-LD_LIBRARY_PATH=$HOME/svn/lib</code></span><code><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">
-export PATH=$HOME/svn/bin:$PATH</span></code><span style="text-decoration: underline;"><br></span><p><span style="text-decoration: underline;">Usage:</span><br>Since
+Japanese and English user manuals are available for download (<a href="http://www.gsic.titech.ac.jp/%7Eccwww/tebiki">http://www.gsic.titech.ac.jp/~ccwww/tebiki</a>).</p><h4>Subversion</h4><p><span style="text-decoration: underline;">Installation:</span><br>The
+following lines should be added to your <code><span style="font-family: Courier New,Courier,monospace;">~/.profile</span></code> (for ksh users - create if necessary) or <code>~/.bashrc</code> (for bash users). These settings will be active from the next login.<span style="font-family: Courier New,Courier,monospace;"></span></p><span style="font-family: Courier New,Courier,monospace;"><code>export
+LD_LIBRARY_PATH=~mkanda/svn/lib</code></span><code><br style="font-family: Courier New,Courier,monospace;"><span style="font-family: Courier New,Courier,monospace;">
+export PATH=~mkanda/svn/bin:$PATH</span></code><span style="text-decoration: underline;"><br></span><p><span style="text-decoration: underline;">Usage:</span><br>Since
 Tsubame is located behind a firewall, the usual&nbsp;address  <a class="fixed" href="svn://130.75.105.45" target="_blank">svn://130.75.105.45</a>&nbsp;is unreachable from Tsubame. Instead, please login to media-o
 and use&nbsp;<a class="fixed" href="svn://p9c.cc.titech.ac.jp:36900" target="_blank">svn://p9c.cc.titech.ac.jp:36900</a>.
-This port works in both directions, i.e. for <code>svn update</code> as well as <code>svn commit</code> commands.</p><h4>Batch system<br></h4><p>The implementation of the <span style="font-weight: bold;">n1ge</span> command on
+This port works in both directions, i.e. for <code>svn update</code> as well as <code>svn commit</code> commands.</p><h4>Combine plot fields</h4><p>Please add the following line to the output command (<code>OC:</code>) section of your <code>.mrun.config</code> to ensure correct output of 2D and 3D data for PALM runs on more than one CPU&nbsp;:</p><code>OC:[[ \$( echo \$localhost | cut -c1-3 ) = lct ]]&nbsp; &amp;&amp;&nbsp; combine_plot_fields.x</code><br><h4>Batch system<br></h4><p>The implementation of the <span style="font-weight: bold;">n1ge</span> command on
 Tsubame requires modifications to&nbsp;<span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">subjob</span> for PALM to
 run on Tsubame. Since <span style="font-weight: bold;">mrun</span>
@@ -49,9 +42,15 @@
 not always be the best choice. For code development, debugging or short
 test runs the value "novice" for both options may be suitable.
-Production runs should use the respective production queues (see <a href="http://www.gsic.titech.ac.jp/%7Eccwww/tgc/q_e.html">http://www.gsic.titech.ac.jp/~ccwww/tgc/q_e.html</a> for details).&nbsp;</p><p>The computer center advised us that due to restrictions of the batch system the value "novice" should not be mixed with the other queues. Please specify either a combination of sla<span style="font-style: italic;">n</span> for <code>-n</code> and sla<span style="font-style: italic;">n</span> or RAM<span style="font-style: italic;">*</span> for <code>-q</code>, or specify the combination "novice" + "novice".<span style="font-style: italic;"></span></p><p>The <span style="font-weight: bold;">mrun</span> option <code><span style="font-family: Courier New,Courier,monospace;">-t</span></code>
-contains the CPU time demand for the main job in s which will be
+Production runs should use the respective production queues (see <a href="http://www.gsic.titech.ac.jp/%7Eccwww/tgc/q_e.html">http://www.gsic.titech.ac.jp/~ccwww/tgc/q_e.html</a> for details).&nbsp;</p><p>The
+computer center advised us that due to restrictions of the batch system
+the value "novice" should not be mixed with the other queues. Please
+specify either a combination of sla<span style="font-style: italic;">n</span> for <code>-n</code> and sla<span style="font-style: italic;">n</span> or RAM<span style="font-style: italic;">*</span> for <code>-q</code>, or specify the combination "novice" + "novice".</p><p>The group number contains the accounting information. You must specify it using the&nbsp;<span style="font-weight: bold;">mrun</span> option <code>-g</code>. Alternatively, you may set also a default value in your <code><span style="font-family: Courier New,Courier,monospace;">.mrun.config </span></code>file like this:</p><p><code>%group_number&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+12345678
+&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+lctit parallel<br></code></p><p>The <span style="font-weight: bold;">mrun</span> option <code><span style="font-family: Courier New,Courier,monospace;">-t</span></code>
+contains the CPU time demand for the main job<span style="font-weight: bold;"> in s</span> which will be
 automatically converted into min for the <span style="font-weight: bold;">n1ge</span> command. The
 option <code><span style="font-family: Courier New,Courier,monospace;">-m</span></code>
-contains the memory demand for the main job in MB which will be
-automatically converted into GB for the <span style="font-weight: bold;">n1ge</span> command.</p><br><i>Last
+contains the memory demand for the main job <span style="font-weight: bold;">in MB</span> which will be
+automatically converted into GB for the <span style="font-weight: bold;">n1ge</span> command.</p><p>Finally, PALM batch jobs on Tsubame require the&nbsp;<span style="font-weight: bold;">mrun</span> option <code>-b</code>.</p><h4>NetCDF</h4><p>In order to use NetCDF commands like <code>ncdump</code>&nbsp;and the graphical NetCDF tools <a href="http://www.ncl.ucar.edu" target="_top">NCL</a> and <a href="http://meteora.ucsd.edu/%7Epierce/ncview_home_page.html" target="_top">Ncview</a>, please add the following lines to  <code><span style="font-family: Courier New,Courier,monospace;">~/.profile</span></code> (for ksh users) or <code>~/.bashrc</code> (for bash users):</p><p><code># NetCDF<br>export PATH=$PATH:~mkanda/netcdf-3.6.2/bin:~mkanda/netcdf-3.6.2/include<br><br></code><code># NCL<br>export NCARG_ROOT=~mkanda/ncl<br>PATH=~mkanda/ncl/bin:$PATH<br><br># Ncview<br>export PATH=$PATH:~mkanda/ncview/bin<br>export XAPPLRESDIR=~mkanda/.app-defaults</code></p><i><br>Last
 change:</i>&nbsp; $Id$</body></html>