Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 138)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 139)
@@ -2,33 +2,4 @@
 ---
 
-Plant canopy model of Watanabe (2004,BLM 112,307-341) added. 
-It can be switched on by the inipar parameter plant_canopy. 
-The inipar parameter canopy_mode can be used to prescribe a 
-plant canopy type. The default case is a homogeneous plant 
-canopy. Heterogeneous distributions of the leaf area 
-density and the canopy drag coefficient can be defined in the 
-new routine user_init_plant_canopy (user_interface). 
-The inipar parameters lad_surface, lad_vertical_gradient and 
-lad_vertical_gradient_level can be used in order to 
-prescribe the vertical profile of leaf area density. The 
-inipar parameter drag_coefficient determines the canopy 
-drag coefficient.
-Finally, the inipar parameter pch_index determines the 
-index of the upper boundary of the plant canopy.  
-
-Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
-
-For unknown variables (CASE DEFAULT) call new subroutine user_data_output_dvrp
-
-Pressure boundary conditions for vertical walls added to the multigrid solver.
-They are applied using new wall flag arrays (wall_flags_..) which are defined
-for each grid level. New argument gls added to routine user_init_grid
-(user_interface).
-
-Frequence of sorting particles can be controlled with new particles_par
-parameter dt_sort_particles. Sorting is moved from the SGS timestep loop in
-advec_particles after the end of this loop.
-
-advec_particles, check_parameters, data_output_dvrp, header, init_3d_model, init_grid, init_particles, init_pegrid, modules, package_parin, parin, plant_canopy_model, read_var_list, read_3d_binary, user_interface, write_var_list, write_3d_binary
 
 
@@ -36,29 +7,4 @@
 -------
 
-Redefine initial nzb_local as the actual total size of topography (later the 
-extent of topography in nzb_local is reduced by 1dx at the E topography walls 
-and by 1dy at the N topography walls to form the basis for nzb_s_inner); 
-for consistency redefine 'single_building' case.
-
-Vertical profiles now based on nzb_s_inner; they are divided by
-ngp_2dh_s_inner (scalars, procucts of scalars) and ngp_2dh (staggered velocity
-components and their products, procucts of scalars and velocity components),
-respectively.
-
-Allow two instead of one digit to specify isosurface and slicer variables.
-
-Status of 3D-volume NetCDF data file only depends on switch netcdf_64bit_3d (check_open)
-
-prognostic_equations include the respective wall_*flux in the parameter list of 
-calls of diffusion_s. Same as before, only the values of wall_heatflux(0:4) 
-can be assigned. At present, wall_humidityflux, wall_qflux, wall_salinityflux, 
-and wall_scalarflux are kept zero. diffusion_s uses the respective wall_*flux 
-instead of wall_heatflux. This update serves two purposes:
-- it avoids errors in calculations with humidity/scalar/salinity and prescribed 
-non-zero wall_heatflux,
-- it prepares PALM for a possible assignment of wall fluxes of 
-humidity/scalar/salinity in a future release.
-
-buoyancy, check_open, data_output_dvrp, diffusion_s, diffusivities, flow_statistics, header, init_3d_model, init_dvrp, init_grid, modules, prognostic_equations
 
 
@@ -66,21 +12,3 @@
 ------
 
-Bugfix: summation of sums_l_l in diffusivities.
 
-Several bugfixes in the ocean part: Initial density rho is calculated
-(init_ocean). Error in initializing u_init and v_init removed
-(check_parameters). Calculation of density flux now starts from
-nzb+1 (production_e).
-
-Bugfix: pleft/pright changed to pnorth/psouth in sendrecv of particle tail
-numbers along y, small bugfixes in the SGS part (advec_particles)
-
-Bugfix: model_string needed a default value (combine_plot_fields)
-
-Bugfix: wavenumber calculation for even nx in routines maketri (poisfft)
-
-Bugfix: assignment of fluxes at walls
-
-Bugfix: absolute value of f must be used when calculating the Blackadar mixing length (init_1d_model)
-
-advec_particles, check_parameters, combine_plot_fields, diffusion_s, diffusivities, init_ocean, init_1d_model, poisfft, production_e
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 138)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 139)
@@ -4,4 +4,12 @@
 ! Actual revisions:
 ! -----------------
+! 
+! TEST: PRINT statements on unit 9 (commented out)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 119 2007-10-17 10:27:13Z raasch
 ! Sorting of particles is controlled by dt_sort_particles and moved from
 ! the SGS timestep loop after the end of this loop.
@@ -9,9 +17,4 @@
 ! numbers along y
 ! Small bugfixes in the SGS part
-! TEST: PRINT statements on unit 9 (commented out)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 138)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Vertical scalar profiles now based on nzb_s_inner and ngp_2dh_s_inner.
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 132 2007-11-20 09:46:11Z letzel
+! Vertical scalar profiles now based on nzb_s_inner and ngp_2dh_s_inner.
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 138)
+++ palm/trunk/SOURCE/check_open.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Status of 3D-volume NetCDF data file only depends on switch netcdf_64bit_3d
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 120 2007-10-17 11:54:43Z raasch
+! Status of 3D-volume NetCDF data file only depends on switch netcdf_64bit_3d
 !
 ! 105 2007-08-08 07:12:55Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 138)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 139)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
 ! Plant canopy added
 ! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
 ! Multigrid solver allows topography, checking of dt_sort_particles
 ! Bugfix: initializing u_init and v_init in case of ocean runs
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 109 2007-08-28 15:26:47Z letzel
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 138)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 139)
@@ -32,13 +32,16 @@
 ! Actual revisions:
 ! -----------------
+! 
+! TEST: different colours for isosurfaces
+! TEST: write statements
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 130 2007-11-13 14:08:40Z letzel
 ! allow two instead of one digit to specify isosurface and slicer variables
 ! for unknown variables (CASE DEFAULT) call new subroutine 
 ! user_data_output_dvrp
-! TEST: different colours for isosurfaces
-! TEST: write statements
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 138)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 139)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! replace wall_heatflux by wall_s_flux that is now included in the parameter 
-! list, bugfix for assignment of fluxes at walls
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 129 2007-10-30 12:12:24Z letzel
+! replace wall_heatflux by wall_s_flux that is now included in the parameter 
+! list, bugfix for assignment of fluxes at walls
 !
 ! 20 2007-02-26 00:12:32Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 138)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 139)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix for summation of sums_l_l for flow_statistics
-! Vertical scalar profiles now based on nzb_s_inner and ngp_2dh_s_inner.
 ! 
 ! 
@@ -11,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 137 2007-11-28 08:50:10Z letzel
+! Bugfix for summation of sums_l_l for flow_statistics
+! Vertical scalar profiles now based on nzb_s_inner and ngp_2dh_s_inner.
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 138)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 139)
@@ -4,13 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 133 2007-11-20 10:10:53Z letzel
 ! Vertical profiles now based on nzb_s_inner; they are divided by 
 ! ngp_2dh_s_inner (scalars, procucts of scalars) and ngp_2dh (staggered 
 ! velocity components and their products, procucts of scalars and velocity 
 ! components), respectively.
-! 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 138)
+++ palm/trunk/SOURCE/header.f90	(revision 139)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
 ! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
 ! Allow two instead of one digit to specify isosurface and slicer variables.
 ! Output of sorting frequency of particles
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 138)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 139)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: absolute value of f must be used when calculating the Blackadar
-! mixing length!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 135 2007-11-22 12:24:23Z raasch
+! Bugfix: absolute value of f must be used when calculating the Blackadar
+! mixing length
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 138)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 139)
@@ -7,12 +7,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
 ! New counter ngp_2dh_s_inner.
 ! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
 ! Corrected calculation of initial volume flow for 'set_1d-model_profiles' and
 ! 'set_constant_profiles' in case of buildings in the reference cross-sections.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 138)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 139)
@@ -4,6 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! allow two instead of one digit to specify isosurface and slicer variables
-! Test output of isosurface on camera file
+! 
 ! TEST: print* statements
 ! ToDo: checking of mode_dvrp for legal values is not correct
@@ -12,4 +11,8 @@
 ! -----------------
 ! $Id$
+!
+! 130 2007-11-13 14:08:40Z letzel
+! allow two instead of one digit to specify isosurface and slicer variables
+! Test output of isosurface on camera file
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 138)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 139)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 134 2007-11-21 07:28:38Z letzel
 ! Redefine initial nzb_local as the actual total size of topography (later the 
 ! extent of topography in nzb_local is reduced by 1dx at the E topography walls 
@@ -9,8 +16,4 @@
 ! for consistency redefine 'single_building' case.
 ! Calculation of wall flag arrays
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 94 2007-06-01 15:25:22Z raasch
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 138)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: Initial density rho is calculated
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 124 2007-10-19 15:47:46Z raasch
+! Bugfix: Initial density rho is calculated
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 138)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Sorting of particles only in case of cloud droplets
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 117 2007-10-11 03:27:59Z raasch
+! Sorting of particles only in case of cloud droplets
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 138)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 139)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! Allocation of wall flag arrays for multigrid solver
+! 
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
 !
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 114 2007-10-10 00:03:15Z raasch
+! Allocation of wall flag arrays for multigrid solver
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 138)
+++ palm/trunk/SOURCE/modules.f90	(revision 139)
@@ -5,15 +5,17 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
 ! +drag_coefficient, pch_index, lad_surface, lad_vertical_gradient, 
 ! lad_vertical_gradient_level, plant_canopy, lad, lad_s, lad_u, lad_v, 
 ! lad_w, cdc, lad_vertical_gradient_level_ind, canopy_mode
-!
 ! +dt_sort_particles, ngp_2dh_s_inner, time_sort_particles, flags, 
 ! wall_flags_1..10, wall_humidityflux(0:4), wall_qflux(0:4), 
 ! wall_salinityflux(0:4), wall_scalarflux(0:4)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 138)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 139)
@@ -9,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 116 2007-10-11 02:30:27Z raasch
+! +dt_sort_particles in package_parin
 !
 ! 60 2007-03-11 11:50:04Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 138)
+++ palm/trunk/SOURCE/parin.f90	(revision 139)
@@ -4,13 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! +canopy_mode
-! +drag_coefficient, lad_surface, lad_vertical_gradient, 
-! +lad_vertical_gradient_level, pch_index, plant_canopy 
-! +allocation of leaf area density field
-!
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! +canopy_mode, drag_coefficient, lad_surface, lad_vertical_gradient, 
+! lad_vertical_gradient_level, pch_index, plant_canopy, 
+! +allocation of leaf area density field
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/plant_canopy_model.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model.f90	(revision 138)
+++ palm/trunk/SOURCE/plant_canopy_model.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Initial revision
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 138)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: wavenumber calculation for even nx in routines maketri
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 128 2007-10-26 13:11:14Z raasch
+! Bugfix: wavenumber calculation for even nx in routines maketri
 !
 ! 85 2007-05-11 09:35:14Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 138)
+++ palm/trunk/SOURCE/poismg.f90	(revision 139)
@@ -8,12 +8,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 114 2007-10-10 00:03:15Z raasch
 ! Boundary conditions at walls are implicitly set using flag arrays. Only
 ! Neumann BC is allowed. Upper walls are still not realized.
 ! Bottom and top BCs for array f_mg in restrict removed because boundary
-! values are not needed (right hand side of SOR iteration)
-!
-! Former revisions:
-! -----------------
-! $Id$
+! values are not needed (right hand side of SOR iteration).
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 138)
+++ palm/trunk/SOURCE/production_e.f90	(revision 139)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: calculation of density flux in the ocean now starts from nzb+1
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 124 2007-10-19 15:47:46Z raasch
+! Bugfix: calculation of density flux in the ocean now starts from nzb+1
 !
 ! 108 2007-08-24 15:10:38Z letzel
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 138)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 139)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! add call of subroutines that evaluate the canopy drag terms
-! add wall_*flux to parameter list of calls of diffusion_s
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! add call of subroutines that evaluate the canopy drag terms,
+! add wall_*flux to parameter list of calls of diffusion_s
 !
 ! 106 2007-08-16 14:30:26Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 138)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 139)
@@ -4,14 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! +canopy_mode
-! +drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
-! lad_vertical_gradient_level, lad_vertical_gradient_level_ind,
-! pch_index, plant_canopy
-!
-! +time_sort_particles
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! +canopy_mode, drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
+! lad_vertical_gradient_level, lad_vertical_gradient_level_ind, pch_index,
+! plant_canopy, time_sort_particles
 !
 ! 102 2007-07-27 09:09:17Z raasch
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 138)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 139)
@@ -4,12 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! new subroutine user_init_plant_canopy
-!
-! new subroutine user_data_output_dvrp
-! +argument gls in user_init_grid
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! new subroutines user_init_plant_canopy, user_data_output_dvrp
+! +argument gls in user_init_grid
 !
 ! 105 2007-08-08 07:12:55Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 138)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 139)
@@ -4,14 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! +canopy_mode
-! +drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
-! lad_vertical_gradient_level, lad_vertical_gradient_level_ind, 
-! pch_index, plant_canopy
-!
-! +time_sort_particles
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 138 2007-11-28 10:03:58Z letzel
+! +canopy_mode, drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
+! lad_vertical_gradient_level, lad_vertical_gradient_level_ind, pch_index,
+! plant_canopy, time_sort_particles
 !
 ! 102 2007-07-27 09:09:17Z raasch